Bug 169100 - udev creates joystick device nodes in the wrong place
Summary: udev creates joystick device nodes in the wrong place
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-22 23:38 UTC by Nicholas Miell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-13 11:14:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicholas Miell 2005-09-22 23:38:55 UTC
The current udev rules have udev creating js nodes in /dev/input, when they
should be in /dev (existing apps have this location hardcoded).

Changing
KERNEL=="js*",                  NAME="input/%k"
 to
KERNEL=="js*",                  NAME="%k"
in udev-069/etc/udev/redhat/udev.rules fixes this (and, as a bonus, makes
pam_console_apply actually change the permissions for /dev/js* appropriately for
console users -- /etc/security/console.perms still has the old patch).


Note You need to log in before you can comment on or make changes to this bug.